import React from 'react';
import { Menu, Dropdown, Icon } from 'antd';

import styles from './style.less';

export default function withActions(actionsRender) {
  return function ActionList(text, record) {
    const actions = actionsRender(text, record);
    const [Act1, Act2, Act3, ...leftActs] = actions || [];

    const menus = (
      <Menu>
        {(leftActs || []).map((Act, index) => (<Menu.Item key={`dm-${index}`}>{Act}</Menu.Item>))}
      </Menu>
    );

    return (
      <div className={styles['action-list']}>
        {
          Act1 && <span>{Act1}</span>
        }
        {
          Act2 && <span>{Act2}</span>
        }
        {
          Act3 && <span>{Act3}</span>
        }
        {
          leftActs && leftActs.length ?
          (
            <span>
              <Dropdown overlay={menus} trigger={['click']}>
                <a onClick={e => e.preventDefault()}>
                  更多 <Icon type="down" />
                </a>
              </Dropdown>
            </span>
          ) : null
        }
      </div>
    );
  }
}
